export default {
  data() {
    return {
      mpTitle: "欢迎使用羊小咩"
    };
  },
  methods: {
    initPrivacyModal() {
      let isAgree = uni.getStorageSync("mpyinsi") || false;
      let token = uni.getStorageSync("token") || false;
      if (!isAgree && !token) {
        uni.hideTabBar();
        this.$refs.tipCurrent.open();
      }
    },
    tipConfirmEvent() {
      this.showModal = false;
      uni.$emit("yinsi", true);
      uni.setStorageSync("mpyinsi", true); //本地记录小程序同意隐私协议
      uni.showTabBar();
    }
  }
};
